{% extends 'base.html.twig' %}

{# SEO #}
{% block title %}{{ country.content.pageTitle }}{% endblock %}
{% block description %}{{ country.content.pageDescription }}{% endblock %}
{% block image %}/uploads/img_article/{{ country.image }}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}
{% block body %}

    {% set has_culture = false %}
    {% if country.culture and country.peoples is not empty %}
        {% set has_culture = true %}
    {% endif %}

    {% set has_peoples = false %}
    {% if country.peoples and country.peoples is not empty %}
        {% set has_peoples = true %}
    {% endif %}

    {% set has_protect = false %}
    {% if country.protect and country.protect is not empty %}
        {% set has_protect = true %}
    {% endif %}

    <div class="page-country">

        <section class="section-country">
            <img src="/uploads/img_article/{{ country.image }}" alt="{{ country.title }} - Harkay">
            <article class="wrapper">
                <h1>{{ country.title }}</h1>
                {% if country.description %}
                    <div class="richtext">{{ country.description | raw }}</div>
                {% endif %}
                {% if has_protect or has_peoples or has_culture %}
                    <div class="links">
                        {% if has_peoples %}
                            <button data-target="population" class="active">Population</button>
                        {% endif %}
                        {% if has_culture %}
                            <button data-target="culture">Culture</button>
                        {% endif %}
                        {% if has_protect %}
                            <button data-target="agir">Protéger</button>
                        {% endif %}
                    </div>
                    <div class="bg-white">
                        {% if has_peoples %}
                            <div class="item visible" data-target="population">
                                <div class="richtext">{{ country.peoples | raw }}</div>
                            </div>
                        {% endif %}
                        {% if has_culture %}
                            <div class="item" data-target="culture">
                                <div class="richtext">{{ country.culture | raw }}</div>
                            </div>
                        {% endif %}
                        {% if has_protect %}
                            <div class="item" data-target="agir">
                                <div class="richtext">{{ country.protect | raw }}</div>
                            </div>
                        {% endif %}
                    </div>
                {% endif %}
            </article>
        </section>

        {% if blocks.missions %}
			{{ include('./blocks/slider-missions.twig', {
                'missions': blocks.missions
            }) }}
        {% endif %}

		{% if blocks.posts %}
			{{ include('./blocks/slider-news.twig', {
                'posts': blocks.posts
            }) }}
		{% endif %}

		{% if blocks.map %}
			{{ include('./blocks/map.twig', {
                'countries': blocks.map
            }) }}
		{% endif %}

		{% if blocks.newsletter %}
			{{ include('./blocks/newsletter.twig') }}
		{% endif %}

    </div>

{% endblock %}


{% block jsonLd %}

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{'posts.title'|trans}}",
                    "item": "{{ url('countries') }}"
				},
				{
					"@type": "ListItem",
					"position": 3,
					"name": "{{ country.title }}"
				}
			]
		}
	</script>

    <script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "Place",
            "name": "{{ country.title }}",
            "photo": "{{ app.request.getSchemeAndHttpHost() }}/uploads/img_article/{{ country.image }}",
            "hasMap": "{{ url('countries') }}"
		}
	</script>

{% endblock %}
